package com.example.waves_sdk

import io.flutter.plugin.common.MethodCall
import io.flutter.plugin.common.MethodChannel
import io.flutter.plugin.common.MethodChannel.MethodCallHandler
import io.flutter.plugin.common.MethodChannel.Result
import io.flutter.plugin.common.PluginRegistry.Registrar

class WavesSdkPlugin : MethodCallHandler {

  companion object {

    @JvmStatic
    fun registerWith(registrar: Registrar) {

      val wavesSdkHandler = WavesSdkHandler(registrar.context())
      val wavesCryptoHandler = WavesCryptoHandler()
      val wavesNodeServiceHandler = WavesNodeServiceHandler()

      MethodChannel(registrar.messenger(), "waves_sdk")
          .setMethodCallHandler { call, result -> wavesSdkHandler.onMethodCall(call, result) }

      MethodChannel(registrar.messenger(), "waves_crypto")
         .setMethodCallHandler { call, result -> wavesCryptoHandler.onMethodCall(call, result) }

      MethodChannel(registrar.messenger(), "waves_node_service")
              .setMethodCallHandler { call, result -> wavesNodeServiceHandler.onMethodCall(call, result) }
    }
  }

  override fun onMethodCall(call: MethodCall, result: Result) {}
}
