import 'package:flutter/services.dart';
import 'package:waves_sdk/waves_service.dart';
export 'package:waves_sdk/waves_crypto.dart';
export 'package:waves_sdk/models/key_pair.dart';

enum Environment {
  TEST_NET,
  MAIN_NET
}

class WavesSdk {
  static bool ready = false;
  static final MethodChannel _channel = new MethodChannel('waves_sdk');

  static init({Environment env = Environment.MAIN_NET}) async {
    await _channel.invokeMethod('init', env == Environment.MAIN_NET ? 'main_net' : 'test_net');
    ready = true;
  }

  static WavesService service() {
    if (!ready) {
      throw "SDK is not ready";
    }
    return WavesService();
  }
}